aboutsummaryrefslogtreecommitdiffstats
path: root/roms/SLOF/other-licence/x86emu/x86emu_download.sh
diff options
context:
space:
mode:
authorfishsoupisgood <github@madingley.org>2019-04-29 01:17:54 +0100
committerfishsoupisgood <github@madingley.org>2019-05-27 03:43:43 +0100
commit3f2546b2ef55b661fd8dd69682b38992225e86f6 (patch)
tree65ca85f13617aee1dce474596800950f266a456c /roms/SLOF/other-licence/x86emu/x86emu_download.sh
downloadqemu-master.tar.gz
qemu-master.tar.bz2
qemu-master.zip
Initial import of qemu-2.4.1HEADmaster
Diffstat (limited to 'roms/SLOF/other-licence/x86emu/x86emu_download.sh')
-rwxr-xr-xroms/SLOF/other-licence/x86emu/x86emu_download.sh61
1 files changed, 61 insertions, 0 deletions
diff --git a/roms/SLOF/other-licence/x86emu/x86emu_download.sh b/roms/SLOF/other-licence/x86emu/x86emu_download.sh
new file mode 100755
index 00000000..d4feff9f
--- /dev/null
+++ b/roms/SLOF/other-licence/x86emu/x86emu_download.sh
@@ -0,0 +1,61 @@
+# *****************************************************************************
+# * Copyright (c) 2004, 2008 IBM Corporation
+# * All rights reserved.
+# * This program and the accompanying materials
+# * are made available under the terms of the BSD License
+# * which accompanies this distribution, and is available at
+# * http://www.opensource.org/licenses/bsd-license.php
+# *
+# * Contributors:
+# * IBM Corporation - initial implementation
+# ****************************************************************************/
+#!/bin/bash
+
+#set -x
+#set -e
+
+SVN=`which svn`
+PATCH=`which patch`
+DIFF_FILE=./x86emu_changes.diff
+
+# check wether svn, patch, ... is available...
+
+if [ ! -x $SVN ]; then
+ echo "subversion executable not found!"
+ exit -1
+fi
+if [ ! -x $PATCH ]; then
+ echo "patch executable not found!"
+ exit -1
+fi
+if [ ! -r $DIFF_FILE ]; then
+ echo "diff file $DIFF_FILE not found!"
+ exit -1
+fi
+
+# download the x86emu sources from LinuxBIOS subversion
+
+#revision known to work...
+REV=496
+
+echo "Checking out x86emu from coreboot-v3 repository revision $REV"
+$SVN co svn://coreboot.org/repository/coreboot-v3/util/x86emu -r $REV
+
+echo "Copying files..."
+
+mkdir -p include/x86emu
+cp -v x86emu/x86emu/*.c .
+cp -v x86emu/x86emu/*.h include/x86emu
+cp -v x86emu/include/x86emu/*.h include/x86emu
+
+echo "Removing checkedout subversion director..."
+
+rm -rf x86emu
+
+echo "Patching files..."
+
+$PATCH -p0 < x86emu_changes.diff
+
+
+echo "done"
+exit 0